package hibergui.event;

import hibergui.Component;

import java.util.EventObject;

public class Event<S extends Component> extends EventObject {

	private static final long serialVersionUID = 1L;

	public Event(S source) {
		super(source);
	}

	@SuppressWarnings("unchecked")
	public S getSource() {
		return (S) super.getSource();
	}
}
